Subject: Re: R_PPC_ADDR16_HI relocs in PPC modules ?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 03 Jan 2007 20:58:12 +1100

On Wed, 2007-01-03 at 08:01 +0100, Simon Vallet wrote:
> On Wed, 03 Jan 2007 07:41:26 +1100
> Benjamin Herrenschmidt <[email-masked]> wrote:
> 
> > BTW. What is this evil^H^H^H^Hbinary driver you are talking about ?
> 
> Yes, blobs are evil, but a binary driver is still better than no driver
> at all...
> 
> I'm working on the unicorn driver for the BeWan ADSL PCI card -- the
> card manufacturer does not seem willing to provide the relevant info
> (I'm not really aware of the specifics -- Sven Luther will probably
> know more about this). Besides, much of the functionality of the card
> is implemented in software, so a 100% open-source driver would probably
> require a lot of work.
> 
> Last but not least I wanted to dig a bit into binary formats anyway ;-)

Doh ! I've been in "contact" with that driver in a previous life... it's
a whole bunch of horrid C++ with windows wrappers all over... or did
they improve it ? It's still an ST chip ?

Ben.